Package org.springframework.beans.factory.parsing

# Class QualifierEntry

java.lang.Object
org.springframework.beans.factory.parsing.QualifierEntry

All Implemented Interfaces:
  `ParseState.Entry`

public class QualifierEntry extends Object implements ParseState.Entry
`ParseState` entry representing an autowire candidate qualifier.

Since:
  2.5
Author:
  Mark Fisher

## Constructor Summary

Constructors
Constructor
Description
`QualifierEntry(String typeName)`
Create a new `QualifierEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QualifierEntry

public QualifierEntry(String typeName)
Create a new `QualifierEntry` instance.

Parameters:
  `typeName` - the name of the qualifier type

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`